{% extends '::base.html.twig'%}
{% block body %}
<div class="container">
  <div class="row">
    <div class="col-sm-12">
      <br/><br/><br/>
      <h2 style="text-align: center; font-family: RobotoThin">Entrer le montant de votre participation</h2>
    </div>
  </div>
  <div class="row" style="margin-bottom: 150px; margin-top: 30px">
    <div class="col-sm-3"></div>
    <div class="col-sm-6">
      <form class="form-horizontal" action="{{path('main_projet_confirm_paiement', {'code': projet.code})}}" method="post" id="payment-form">
        <div class="col-sm-8">
          <input name="montant" type="number" class="form-control" placeholder="Montant" id="montant"/>
        </div>
        <div class="col-sm-4">
          <select class="form-control" id="currency-select" name="currency">
            <option value="xof">F CFA</option>
            <option value="eur">€ EUR</option>
            <option value="usd">$ USD</option>
          </select>
        </div>

        <br/><br/><br/>
        <div class="col-sm-6">
          <p style="text-align: left; margin: 0px; font-size: 0.9em">Souitent anonyme?</p>
          <span style="float: left"><input type="radio" name="anonyme" value="oui" id="anonyme_oui"/> <label style="font-weight: normal; cursor: pointer" for="anonyme_oui">Oui</label></span>
          <span style="float: left; margin-left: 25px"><input checked="true" type="radio" name="anonyme" value="non" id="anonyme_non"/> <label style="font-weight: normal; cursor: pointer" for="anonyme_non">Non</label></span>
        </div>
        <div class="col-sm-6">
          <p style="text-align: left; margin: 0px; font-size: 0.9em">Exigez-vous une contrepartie?</p>
          <span style="float: left"><input type="radio" checked="true" name="contrepartie" value="oui" id="contrepartie_oui"/> <label style="font-weight: normal; cursor: pointer" for="contrepartie_oui">Oui</label></span>
          <span style="float: left; margin-left: 25px"><input type="radio" name="contrepartie" value="non" id="contrepartie_non"/> <label style="font-weight: normal; cursor: pointer" for="contrepartie_non">Non</label></span>
        </div>

        <br/><br/>

        <input name="token" type="hidden" class="" id="token"/>
        <br/><br/><br/>
        <div class="col-sm-12">
          <p style="text-align: center">
            <button class="btn btn-default kifzik-ok-btn" id="payment-btn" style="width: 150px; font-weight: bold"> Valider </button>
          </p>
        </div>
      </form>
    </div>
    <div class="col-sm-3"></div>
  </div>
</div>
{%endblock%}
{%block javascripts%}
{{parent()}}
<script src="https://checkout.stripe.com/checkout.js"></script>


<script>
var handler = StripeCheckout.configure({
  key: 'pk_test_eqCRsF1CtMAw84Gi4OiMQiFA',
  //key: 'pk_live_XqlZfKd4uWUic5vwr14PaTS2',
  image: '{{asset('bundles/kifzik/img/logo250.png')}}',
  locale: 'auto',
  token: function(token) {
    $("#token").val(token.id);
    $("#payment-form").submit();
  }
});
$("#payment-btn").on('click', function(e){
  e.preventDefault();
  // Open Checkout with further options:
  handler.open({
    name: 'kifzik.com',
    description: 'Plateforme de financement participatif dédiée aux musiciens en Afrique',
    zipCode: true,
    amount: ($("#currency-select").val() != "xof")?parseInt($("#montant").val())*100:parseInt($("#montant").val()),
    currency: $("#currency-select").val()
  });

});

// Close Checkout on page navigation:
window.addEventListener('popstate', function() {
  handler.close();
});
</script>
{%endblock javascripts%}
